WordPress 将在 2022 年 12 月之前放弃 3.7 至 4.0 版本的安全更新

WordPress 的安全团队宣布将于 2022 年 12 月 1 日停止对 3.7 至 4.0 版本的支持。为了了解这些版本的历史,2013 年,WordPress 3.7 引入了自动后台更新,3.8 使用新设计更新了管理员基于 MP6 插件

WordPress 的官方政策是安全团队只提供对最新版本的支持,但出于礼貌,已将反向移植安全修复程序扩展到能够接收自动更新的旧版本。

“到目前为止,这些礼貌的向后移植包括所有支持自动更新的 WordPress 版本,”10up 赞助的安全团队成员彼得威尔逊说。 “WordPress 3.7 – 4.0 版本已达到使用水平,即不到总安装量的 1%,提供这些更新的好处超过了所涉及的工作量。”

超过一半的 WordPress 网站都使用最新版本 – 6.0+ (54.3%),在此更改之后,超过 99% 的旧版本网站仍然可以使用安全更新。威尔逊说,放弃对 3.7 到 4.0 的支持的决定是基于统计页面上报告的信息。

WordPress version stats – 9/7/2022
“这种不平衡的影响意味着安全团队花费大部分时间为绝大多数 WordPress 安装准备反向移植,”Wilson 说。 “通过放弃对这些旧版本的支持,新版本的 WordPress 将变得更加安全,因为可以有更多时间专注于他们的需求。”

在接下来的三个月中,4.0 及更早的版本将收到最终更新,并且还会在仪表板中显示不可关闭的通知,建议用户升级到最新版本,因为他们的网站将不再收到安全更新。

发表回复

您的电子邮箱地址不会被公开。